import '../../../__mocks__/MediaStream.mock';
import '../../../__mocks__/documentExec.mock';
import '../../../__mocks__/WindowOrientation.mock';
import 'jest-canvas-mock';
import { RenderOptions } from '@testing-library/react';
import { CommsProviderProps } from '../../providers/CommsProvider';
import { ThemeProviderProps } from '../../providers/ThemeProvider';
declare const themeRender: (ui: React.ReactElement, { themeProps, options }?: {
    themeProps?: Partial<ThemeProviderProps> | undefined;
    options?: RenderOptions<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement> | undefined;
}) => import("@testing-library/react").RenderResult<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement>;
declare const commsRender: (ui: React.ReactElement, { commsProps, options }?: {
    commsProps?: Partial<CommsProviderProps> | undefined;
    options?: RenderOptions<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement> | undefined;
}) => import("@testing-library/react").RenderResult<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement>;
declare const withProvidersRender: (ui: React.ReactElement, { commsProps, themeProps, options, }?: {
    commsProps?: Partial<CommsProviderProps> | undefined;
    themeProps?: ThemeProviderProps | undefined;
    options?: Omit<RenderOptions<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement>, "wrapper"> | undefined;
}) => import("@testing-library/react").RenderResult<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement>;
export * from '@testing-library/react';
export { withProvidersRender as render, themeRender, commsRender };
declare type Styles = {
    [key: string]: any;
};
export declare const mergeStyles: (styles: Styles[]) => Styles;
